Bug 130699 - dhclient nukes /etc/resolv.conf
dhclient nukes /etc/resolv.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-23 15:50 EDT by Zack Cerza
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: initscripts-7.67-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 16:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Zack Cerza 2004-08-23 15:50:20 EDT
Description of problem:
My /etc/resolv.conf was overwritten after a reboot with a single byte:
root@treefrog ~ =) # hexdump /etc/resolv.conf
0000000 000a                                   
0000001

Version-Release number of selected component (if applicable):
dhclient-3.0.1-7 (there's no dhclient component)

How reproducible:
Always

Steps to Reproduce:
1. # service network stop
2. /etc/resolv.conf should still be fine.
3. # service network start
  
Actual results:
/etc/resolv.conf is overwritten with a single byte.

Expected results:
Normal operation.

Additional info:
Comment 1 Jason Vas Dias 2004-08-23 16:05:01 EDT
Yes, sorry - there was a typo in initscripts-7.66-1 - 
this is fixed in initscripts-7.67-1 .
Comment 2 John Flanagan 2004-12-21 14:41:48 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-566.html

Note You need to log in before you can comment on or make changes to this bug.